#include <bits/stdc++.h>
using namespace std;
long long n, x[14], y[14], mini=LLONG_MAX, povrsina;
long long dvostrukaPovrsina(int x1, int y1, int x2, int y2, int x3, int y3) {
    return abs(1LL*x1*(y2-y3)+1LL*x2*(y3-y1)+1LL*x3*(y1 - y2));
}
int main() {
    cin>>n;
    for(int i=1; i<=n; i++){
        cin>>x[i]>>y[i];
    }
    for(int i=1; i<=n; i++){
        for(int j=i+1; j<=4; j++) {
            for(int k=j+1; k<=4; k++){
                povrsina=dvostrukaPovrsina(x[i],y[i],x[j],y[j],x[k],y[k]);
                mini=min(mini,povrsina);
            }
        }
    }
    printf("%lld",mini/2);
    return 0;
}